import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * 't Is een pinguin
 * 
 * @author Kasper 
 * @version pingwin
 */
public class Pengu extends Animal
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    
    /**
     * Create Pengu and initialize its two images.
     */
    public Pengu()
    {
        image1 = new GreenfootImage("pengu-left.png");
        image2 = new GreenfootImage("pengu-right.png");
        setImage(image1);
    }    
    
    /**
     * Act - do whatever the Pengu wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        alsoLookForCrab();
        changeImage();
    }    
    
    public void changeImage()
    {
        if (getImage() == image1) 
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
    }
    
    public void alsoLookForCrab()
    {
        if (canSee(Crab.class)) 
        {
            getWorld().removeObject(this);
            Greenfoot.playSound("swe.wav");
        }
    }
}
